<?php

declare(strict_types=1);

namespace App\Scolarite\Application\Port;

interface FileStorage
{
    /**
     * @param resource|string $content
     */
    public function upload(string $path, mixed $content, string $mimeType): string;

    public function delete(string $path): void;
}
